AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Query bulk transfer rates

Query bulk transfer rates

Last updated 13 September 2026

post

https://api.flutterwave.com/v3/bulk-rates

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

batch_reference string required
This is the unique reference for the bulk query.

data array of objects required
This array contains the information for the individual exchange queries.

FILL IN ALL REQUIRED FIELDS

from string required
The source currency for the exchange query.

to string required
The destination currency for the exchange query.

amount int 32 required
The amount in the source currency that will be converted.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

FILL IN ALL REQUIRED FIELDS

status string

message string

data string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys